///***** CONTROLAR resolucion *****//

var resmin_ancho = "800";

function compruebares (){     
     console.log("comprobando resolucion......");
     // Eliminar si existiera
     $("#bloqueares").remove();
     var bloquear = false;
     var resact_ancho = window.screen.width;

     // Especial simulador
     if (getItem("MODO")=="SQ"){
          // Activamos la llamada a compruebares si cambia

          if (window.matchMedia("(max-width: "+resmin_ancho+"px)").matches){
               resact_ancho = $(document).width();
          } 
          $(window).off('resize');
          $(window).on('resize', function(){          
               compruebares();
          });
     }
     // Controlar el ancho
     if (resact_ancho < resmin_ancho)    bloquear = true;

     // Mostrar bloqueo
     if (bloquear){
          var tela = document.createElement("div");
          tela.id="bloqueares";
          $(tela).css({
               "position":"fixed",
               "left":"0",
               "top":"0",
               "right": "0",
               "bottom": "0",
               "width":"100%",
               "height":"100%",
               "background-color": "rgba(255,255,255,0.85)",
               "z-index":"1000",
               "text-align":"center"
          });
          document.body.appendChild(tela);
          var mensaje = document.createElement("div");
          
          mensaje.innerHTML="No puede responder a esta encuesta con una resolución inferior a <span style='color:#28A745'>"+resmin_ancho+"px</span> de ancho"+"<br>"+
                            "Su resolución actual es de <span style='color:#DC3545'> "+ resact_ancho+"px</span>."           
          $(mensaje).css({
               "margin": "50vh auto 0",
               "transform": "translateY(-50%)",
               "color":"#000",
               "font-weight":"bold",
               "font-size":"20px"
               
          });
          tela.appendChild(mensaje);
          console.log("bloqueando por resolucion......");
     }
		 
}
function mostooltip(){
     $(".tooltip").off("click");

     $(".tooltip").on("click", function() {          
          // fondo
          $("#tesi-myModal").remove()
          $("body").append("<div id='tesi-myModal' class='tesi-modal'></div>");
          $("#tesi-myModal").html('<div class="tooltip_prod" style="background-color: #f7f7f7; border: 1px solid #DCDCDC;">'+
          '<div style="width: 100%; text-align: right;"><i class="fa fa-times-circle tancar" style="cursor:pointer"></i></div>'+
          '<div style="text-align: left; background-color: #99ccff;"><span style="font-size: 0.7em;">PRODUCTO X</span></div>'+
          '<div style="text-align: justify;">'+
              '<hr /><span style="font-size: 0.7em;">Usted sabe lo doloroso y pesado que puede ser un ataque de migraña y cuánto tiempo puede durar. Por este motivo es por el que su doctor le recomienda el PRODUCTO X, un nuevo medicamento recetado para adultos que se usa para tartar ataques de migraña cuando suceden. El PRODUCTO X es una píldora y se debe tomar cuando sufre un ataque de migraña.</span></div>'+
          '<div style="text-align: justify;"><span style="font-size: 0.7em;">Cuando sufre un ataque de migraña, los nervios del cerebro desencadenan señales de dolor. El PRODUCTO X funciona diferente a otros tratamientos contra la migraña, combatiendo contra ésta activando receptores específicos en el cerebro que están pensados para bloquear las señales de dolor.</span></div>'+
          '<div style="text-align: justify; background-color: #99ccff;"><span style="font-size: 0.7em;">EFICACIA</span></div>'+
          '<div style="text-align: justify;">'+
              '<hr /><span style="font-size: 0.7em;">Cuando sufre una migraña, necesita una medicación que actúe rápido y pueda eliminar su ataque. Es posible mitigar el dolor de migraña con el PRODUCTO X. En estudios clínicos de personas que experimentaban un dolor moderado o severo en sus ataques:</span></div>'+
          '<ul>'+
              '<li style="text-align: justify;"><span style="font-size: 0.7em;">El <span style="color: #00ccff;">45%</span> de las personas logró un alivio del dolor de migraña (reducción del dolor de la migraña) tan solo una hora después de tomar el PRODUCTO X, y el <span style="color: #00ccff;">65%</span>            logró un alivio del dolor de migraña a las dos horas.</span>'+
              '</li>'+
              '<li style="text-align: justify;"><span style="font-size: 0.7em;">El <span style="color: #00ccff;">13%</span> de las personas logró la eliminación completa del dolor de migraña (sin dolor de migraña) tan solo una hora después de tomar el PRODUCTO X, y el <span style="color: #00ccff;">30%</span>            logró la eliminación completa del dolor de migraña a las dos horas.</span>'+
              '</li>'+
          '</ul>'+
          '<span style="font-size: 0.7em;">Cuando tiene migraña, es posible que esté combatiendo otros síntomas además del dolor. El PRODUCTO X trata más que únicamente el dolor causado y puede ayudarlo a deshacerse de su peor síntoma, como la sensibilidad a la luz, sensibilidad al sonido o náuseas.</span>'+
          '<br />'+
          '<ul>'+
              '<li style="text-align: justify;"><span style="font-size: 0.7em;">El <span style="color: #00ccff;">40%</span> de las personas lograron estar completamente libres de su peor síntoma de migraña dos horas después de tomar el PRODUCTO X.</span>'+
              '</li>'+
          '</ul>'+
          '<div style="text-align: justify;"><span style="font-size: 0.7em;">La vida a menudo se vuelve ajetreada y, a veces, es posible que no pueda tomar su medicamento para la migraña a la primera señal de un ataque. Si eso sucede, el PRODUCTO X aún le puede ayudar. El PRODUCTO X funciona incluso cuando el dolor de la migraña ha progresado a moderado o severo. Puede esperar cuatro horas para tomar el PRODUCTO X y aun así lograr la eliminación completa del dolor de migraña.</span></div>'+
          '<ul>'+
             '<li style="text-align: justify;"><span style="font-size: 0.7em;">De las personas que lograron la eliminación completa del dolor de migraña a las dos horas de tomar el PRODUCTO X, el <span style="color: #00ccff;">50%</span> permaneció libre de dolor de migraña a las 24 horas sin'+
                  'medicación adicional y el <span style="color: #00ccff;">35%</span> permaneció libre de dolor de migraña a las 48 horas.</span>'+
              '</li>'+
          '</ul>'+
          '<div style="text-align: justify; background-color: #99ccff;"><span style="font-size: 0.7em;">SEGURIDAD</span></div>'+
          '<div style="text-align: justify;">'+
              '<hr /><span style="font-size: 0.7em;">El PRODUCTO X generalmente se tolera bien. En los estudios clínicos, los efectos secundarios más frecuentes fueron mareos (<span style="color: #00ccff;">30%</span> de las personas), hormigueo (<span style="color: #00ccff;">14%</span>        de las personas), náuseas (<span style="color: #00ccff;">10%</span> de las personas), fatiga (<span style="color: #00ccff;">10%</span> de las personas) y somnolencia (8% de las personas). La mayoría de los efectos secundarios fueron de gravedad'+
              'leve a moderada.</span>'+
          '</div>'+
          '<div style="text-align: justify;"><span style="font-size: 0.7em;">Ha de tener al beber alcohol o tomar otros medicamentos que le causen somnolencia mientras toma el PRODUCTO X.</span></div>'+
          '<div style="text-align: justify;"><span style="font-size: 0.7em;">No conduzca un ni maneje maquinaria hasta al menos 8 horas después de tomar el PRODUCTO X, incluso si se siente lo suficientemente bien como para hacerlo. Si no puede seguir este consejo, no debe tomar el PRODUCTO X.</span></div>'+
          '<div style="text-align: justify;"><span style="font-size: 0.7em;">El síndrome serotoninérgico es un problema poco común pero grave que puede ocurrir al tomar el PRODUCTO X. Es más probable que esto suceda si toma el PRODUCTO X con medicamentos antidepresivos.</span></div>'+
          '</div>');
          //  Mostrar ventana 
          $(".tesi-modal").css("display", "block");
          // Boton cerrar
          $(".tancar").off("click");
          $(".tancar").on("click", function() {
               $(".tesi-modal").css("display", "none");
          });
     });
}
